class_name Club extends Resource
## Base type for gfolf clubs

enum Type {
	NONE,
	DRIVER,
	IRON,
	WEDGE,
	PUTTER,
	SPECIAL,
}

@export var name: String
@export var type: Club.Type
@export var _model: PackedScene

## Global typesafe accessor for club catalog
static var catalog: ClubCatalogType:
	get:
		return ClubCatalog


func get_model() -> Node3D:
	return _model.instantiate() as Node3D if _model else null
